Subject: Re: Broadcast ID

From: Elizabeth Royer <[email-masked]>
Date: Sun, 4 Jun 2000 10:30:19 -0700 (PDT)

Hello,

In regards to the Broadcast ID of AODV, each node keeps ONE
Broadcast ID counter.  This counter is incremented EACH time
a RREQ is sent for any destination.  Hence, the Source IP Address
and Broadcast ID will always uniquely identify the RREQ.
Your point 3 below is the way it works, not point 2.  Because 
each node only maintains one Broadcast ID counter, there will
not be two RREQs with the same Source IP Address / Broadcast ID
pair for different destinations.  Thanks for pointing out
the ambiguous wording.

Regards,
Elizabeth

~> 
~> we  are a group of 3 students at ITI - Egypt, trying to get into the AODV
~> thing , well we could figure some inconsistency regards using the
~> Broadcast ID, and here is what we see:
~> (draft-ietf-manet-aodv-05.txt)
~> 1-(section 4.)the Broadcast ID definition specifies that the Broadcast Id
~> combined with the source node's IP address, UNIQUElY identifys the
~> particular route request, 
~> here the word PARTICULAR did not show exactly if we are talking about the
~> a PARTICULAR DESTINATION or this PARTICULAR RREQ message., yet that's not
~> the big problem though.
~> 
~> 2- (section 9.2) talking about generating RREQ messages; it was stated
~> that " The Broadcast ID field is incremented by one from the last broadcast
~> ID used by the current node FOR THE SAME DESTINATION"
~> which means that the source is keeping track of Broadcast IDs he sent to
~> each destination, this make it available to have 2 RREQ with the same
~> source IP address and Broadcast ID, yet different Destinations, this make
~> s us understand (the previous declaration of Broadcast ID) as for
~> PARTICULAR DESTINATION , rather than PARTICULAR RREQ....
~> 
~> still one more point...
~> 3-(section 9.3)on determining if a node would forward RREQ messages, it
~> checks if a similar message was received before or not, it makes its
~> decision based only upon the "source IP, Broadcast ID" combination, which
~> clearly shows that here the "source IP, and Broadcast ID" combination  
~> alone , can UNIQUELY determine a PARTICULAR RREQ message, rather than RREQ
~> message for a particular destination.
~> 
~> We hope we had explained what we mean in a clear way.
~> 
~> Best regards for all,
~> 
~> Azza 
~> Hany
~> Morcos
~> 
~> 
~> 
~>